function AccessProfileService(requestDataSourceEngine)
{
    
    this.changeAccessProfile = function (row) {
        return requestDataSourceEngine.setDataSource('acl#/changeAccessProfile', [row]);  
    };

    this.validateActivation= function () {
        return requestDataSourceEngine.getDataSource('acl#/validateActivation');
    };
    
    this.findAccessControllUtilization = function () {
        return requestDataSourceEngine.getDataSource('acl#/findAccessControllUtilization');  
    };

    this.savePerfAccessParc = function(rows){
        return requestDataSourceEngine.setDataSource('acl#/perfAcessParc', rows);
    };
    
    this.saveControlProfile = function(rows){
        return requestDataSourceEngine.setDataSource('acl#/perfAccessByControlProfile', rows);
    };
    
    this.changeAccessControl = function(row){
        return requestDataSourceEngine.setDataSource('acl#/changeAccessControl', [row]);  
    };

    this.validateNovoCodigo = function(){
        return requestDataSourceEngine.getDataSource('acl#/validateNovoCodigo');
    };
}

Configuration(function(ContextRegister) {
	ContextRegister.register('AccessProfileService', AccessProfileService);
});